Subject: Re: Static-ls for guestgroup

From: Mark Bergstrom <[email-masked]>
Date: Fri, 28 Mar 1997 04:41:16 -0600 (CST)

OK

Now I really am stumped.  Even with this new version of 'ls' in the 'sample'
user's 'bin', the behavior is unchanged:  NO Listing of files and
directories that do exist there. GETs PUTs and all other commands function
as desired.

The structures (and permissions) of 'sample' and 'ftp' (for the anonymous)
match.  The test ftpaccess file is pretty simple:

# more /usr/local/etc/ftpaccess
class   local   real,guest,anonymous    *.internaldomain   0.0.0.0
class   remote  real,guest,anonymous    *
delete          no      anonymous,guest
overwrite       no      anonymous,guest
rename          no      anonymous,guest
chmod           no      anonymous,guest
umask           no      anonymous,guest
path-filter     guest   /etc/pathmsg    ^[-A-Za-z0-9_\.]*$ ^\. ^-
guestgroup client
log transfers anonymous,real,guest inbound,outbound

and, as before, 'ls' functions for anonymous logins but not for this logins
from this guestgroup account.

The debug option (regardless of level) yields no data.

MB

At 04:23 PM 3/27/97, you wrote:
>>>From <[email-masked]> Thu Mar 27 09:58:53 1997
>>Date: Thu, 27 Mar 1997 12:59:22 -0500
>>Reply-To: [email-masked]
>>Sender: [email-masked]
>>From: "Jeff Hanson" <[email-masked]>
>>To: [email-masked]
>>Subject: Re: Static-ls
>>References: <[email-masked]>
>>X-Listprocessor-Version: 8.0 -- ListProcessor(tm) by CREN
>>
>>Here is what I did to build static ls on SGI under 5.3.  The same should
>>work for 6.2 although I have not tried.
>>
>>1. Using inst or swmgr, install the following products (assuming you have
>>   purchased IDO)
>>
>>   c_dev.sw.speclib
>>   compiler_dev.sw.speclib
>>   dev.sw.irix_speclibs
>>
>>   You need these to get the static (non shared) libraries in addition to
>>   the standard DSO (shared) libraries.
>>
>>2. Get gnu fileutils from your favorite gnu site.
>>
>>3. Modify the Makefiles after using configure (the lazy method) or figure out
>>   how to give configure the right CFLAG and LD directive which is
>>
>>   -non_shared
>>
>>   That is, you compile and link with -non_shared.  You'll then have a
>>   statically link executable for ls (and several other things as well).
>>
>>We (ftp.lerc.nasa.gov) are using this under IRIX 5.3.  If you want to see what
>>I did with fileutils-3.12 get the following file
>>
>>ftp://ftp.lerc.nasa.gov/users/tohanson/fileutils-3.12.static.tar.gz
>>
>>-- 
>>---------------------------------------------------------------------------
>> Jeff Hanson ([email-masked]) - Computing Wizard for HSSO
>> NYMA, Inc., Senior Member of the Technical Staff
>> NASA Lewis Research Center, MS 77-10, Cleveland, Ohio 44135
>> Telephone - (216) 433-2284            Fax - (216) 433-3918
>>
>>
>
>
>